.site-footer {
  background-color: #000000;
  color: #fff;
  font-size: 0.8rem; /* Vous pouvez réduire cette taille si nécessaire */
  padding: 10px 20px; /* Réduit le padding vertical pour rendre le footer plus petit */
  border-top: 5px solid #BDD248;
  border-bottom: 3px solid #BDD248;
  z-index: 5;
  position: relative;
  width: 100%;
  overflow-y: visible;

  .footer-content {
    display: flex;
    justify-content: space-between;
    margin: 0 auto;
    max-width: 1200px;
    padding: 0 20px; /* Réduit le padding ici si nécessaire */


    .about-description {
      color: #ccc;
      font-size: 14px;
      margin-bottom: 10px; /* Réduit la marge pour compresser l'espace */
      }
        .fa.fa-info-circle{
          color: #BDD248;
          font-size: 20px;
        }
        .about-link {
          display: inline-block;
          color: #BDD248; /* Adjust the color to match the blue link color */
          font-size: 14px;
          text-decoration: none; /* Removes underline from the link */
          /* Style for the icon */
        }
        
        .about-link i {
          margin-left: 5px;
        }
        
        /* Since FontAwesome icons are font-based, set their color and size using CSS */
        .fas.fa-external-link-alt {
          color: #BDD248; /* Set the color matching your design */
        }
        .footer-section {
            flex: 1;
    
            h4 {
                margin-bottom: 10px;
                color: #f2f2f2; // Light grey color for the sub-headers
            }
    
            p, .tags, .footer-links {
                margin-bottom: 10px;
            }
    
            .social-icons {
              a.icon {
                display: inline-flex;
                justify-content: center;
                align-items: center;
                margin: 0 5px;
                color: #000000; 
                transition: color 0.3s ease;
                width: 35px;
                height: 35px;
                border-radius: 50%;
                background-color: #BDD248;
                font-size: 15px; // Adjust as needed
                text-decoration: none;
            
                &:hover {
                  color: #555; // Icon hover color
                }
            
                i {
                  // Aligning the font awesome icon in the center
                  width: 100%;
                  height: 100%;
                  display: flex;
                  justify-content: center;
                  align-items: center;
                }
              }
            }
    
            .footer-links {
                list-style-type: none;
                padding: 0;
    
                li {
                    margin-bottom: 5px;
                    &:hover {
                        a {
                            color: #a2a2a2; // Lighter grey color on hover for links
                        }
                    }
                }
    
                a {
                    color: inherit; // Inherit white color
                    text-decoration: none; // Remove underline from links
                    transition: color 0.2s; // Smooth transition for color change
                }
            }
    
            .tag {
                display: inline-block;
                background-color: #555;
                color: white;
                padding: 5px;
                margin: 2px;
                font-size: 0.8em;
                border-radius: 3px;
                text-decoration: none;
                
                &:hover {
                    background-color: darken(#555, 10%);
                }
            }
        }
    }
  
    
  }
  .language-selector {
    display: flex;
    align-items: center;
    justify-content: center; /* Ajoute cette ligne pour centrer horizontalement */
    gap: 0.5rem;
  
    select {
      padding: 0.5rem;
      border: 1px solid #ccc;
      border-radius: 0.25rem;
      background-color: #f9f9f9;
      font-size: 1rem;
      color: #333;
      transition: border-color 0.3s ease, background-color 0.3s ease;
  
      &:hover, &:focus {
        border-color: #007bff;
        background-color: #fff;
      }
  
      &:focus {
        outline: none;
        box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
      }
    }
  
    .flag-icon {
      width: 24px;
      height: 24px;
      border-radius: 50%;
      transition: transform 0.3s ease;
  
      &:hover {
        transform: scale(1.1);
      }
    }
  }
  
  .footer-bottom {
    border-top: 3px solid #BDD248;
    text-align: center;
    padding-top: 10px;
  
    p {
      margin: 0; // Remove default margin
    }
  
    .language-selector {
      margin-top: 10px; /* Ajoute un peu d'espace au-dessus du sélecteur de langue */
    }
  }
  
  // Example media query for responsiveness
  @media (max-width: 768px) {
    .site-footer .footer-content {
      flex-direction: column;
      align-items: center;
  
      .footer-section {
        margin-bottom: 20px;
  
        &:last-child {
          margin-bottom: 0;
        }
      }
    }
  }
